Package com.independentsoft.office.odf

# Class LabelRange

java.lang.Object
com.independentsoft.office.odf.LabelRange

public class LabelRange extends Object
Represents a label cell range which contain labels, and a data cell range which specifies the rows or columns whose content is referenced by the labels. There are two types of label ranges: -Label ranges for columns. -Label ranges for rows.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LabelRange()`
  Initializes a new instance of the LabelRange class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LabelRange`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getDataCellRangeAddress()`
  Gets the cell range address of data.
  `String`
  `getLabelCellRangeAddress()`
  Gets the cell range address for labels.
  `LabelRangeOrientation`
  `getOrientation()`
  Specifies whether labels label rows or columns.
  `void`
  `setDataCellRangeAddress​(String dataCellRangeAddress)`
  Sets the cell range address of data.
  `void`
  `setLabelCellRangeAddress​(String labelCellRangeAddress)`
  Sets the cell range address for labels.
  `void`
  `setOrientation​(LabelRangeOrientation orientation)`
  Specifies whether labels label rows or columns.
  `String`
  `toString()`
  Converts the value of the current LabelRange object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LabelRange

    public LabelRange()
    Initializes a new instance of the LabelRange class.

- ## Method Details

  - ### clone

    public LabelRange clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current LabelRange object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getLabelCellRangeAddress

    public String getLabelCellRangeAddress()
    Gets the cell range address for labels.
    Returns:
      the label cell range address

  - ### setLabelCellRangeAddress

    public void setLabelCellRangeAddress​(String labelCellRangeAddress)
    Sets the cell range address for labels.
    Parameters:
      `labelCellRangeAddress` - the new label cell range address

  - ### getDataCellRangeAddress

    public String getDataCellRangeAddress()
    Gets the cell range address of data.
    Returns:
      the data cell range address

  - ### setDataCellRangeAddress

    public void setDataCellRangeAddress​(String dataCellRangeAddress)
    Sets the cell range address of data.
    Parameters:
      `dataCellRangeAddress` - the new data cell range address

  - ### getOrientation

    public LabelRangeOrientation getOrientation()
    Specifies whether labels label rows or columns.
    Returns:
      the orientation

  - ### setOrientation

    public void setOrientation​(LabelRangeOrientation orientation)
    Specifies whether labels label rows or columns.
    Parameters:
      `orientation` - the new orientation